'use strict';

// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiError = exports.createAssertionFunction = exports.PlatformNotSupportedError = exports.AmplifyError = exports.setCustomUserAgent = exports.StorageAction = exports.PushNotificationAction = exports.PubSubAction = exports.PredictionsAction = exports.InAppMessagingAction = exports.InteractionsAction = exports.GeoAction = exports.Framework = exports.DataStoreAction = exports.Category = exports.AnalyticsAction = exports.AuthAction = exports.ApiAction = exports.AiAction = exports.getAmplifyUserAgent = exports.getAmplifyUserAgentObject = exports.Platform = exports.haveCredentialsChanged = exports.Signer = exports.assertOAuthConfig = exports.assertIdentityPoolIdConfig = exports.assertTokenProviderConfig = exports.decodeJWT = exports.getDeviceName = exports.getClientInfo = exports.parseAmplifyConfig = exports.AmplifyUrlSearchParams = exports.AmplifyUrl = exports.amplifyUuid = exports.ADD_OAUTH_LISTENER = exports.parseAmplifyOutputs = exports.isAmplifyOutputs = exports.parseAWSExports = exports.deDupeAsyncFunction = exports.urlSafeEncode = exports.urlSafeDecode = exports.retry = exports.NonRetryableError = exports.jitteredExponentialRetry = exports.jitteredBackoff = exports.isWebWorker = exports.isTokenExpired = exports.isNonRetryableError = exports.isBrowser = exports.generateRandomString = void 0;
exports.SESSION_STOP_EVENT = exports.SESSION_START_EVENT = exports.sessionListener = exports.HubInternal = exports.WordArray = exports.cryptoSecureRandomInt = exports.getCrypto = exports.base64Encoder = exports.base64Decoder = exports.AMPLIFY_SYMBOL = exports.fetchAuthSession = exports.USER_AGENT_HEADER = exports.Reachability = exports.Mutex = exports.BackgroundProcessManager = exports.AmplifyErrorCode = void 0;
/*
This file maps top-level exports from `@aws-amplify/core/internals/utils`. These are intended to be internal
utils for use throughout the library.
*/
// Core utilities
var utils_1 = require("./utils");
Object.defineProperty(exports, "generateRandomString", { enumerable: true, get: function () { return utils_1.generateRandomString; } });
Object.defineProperty(exports, "isBrowser", { enumerable: true, get: function () { return utils_1.isBrowser; } });
Object.defineProperty(exports, "isNonRetryableError", { enumerable: true, get: function () { return utils_1.isNonRetryableError; } });
Object.defineProperty(exports, "isTokenExpired", { enumerable: true, get: function () { return utils_1.isTokenExpired; } });
Object.defineProperty(exports, "isWebWorker", { enumerable: true, get: function () { return utils_1.isWebWorker; } });
Object.defineProperty(exports, "jitteredBackoff", { enumerable: true, get: function () { return utils_1.jitteredBackoff; } });
Object.defineProperty(exports, "jitteredExponentialRetry", { enumerable: true, get: function () { return utils_1.jitteredExponentialRetry; } });
Object.defineProperty(exports, "NonRetryableError", { enumerable: true, get: function () { return utils_1.NonRetryableError; } });
Object.defineProperty(exports, "retry", { enumerable: true, get: function () { return utils_1.retry; } });
Object.defineProperty(exports, "urlSafeDecode", { enumerable: true, get: function () { return utils_1.urlSafeDecode; } });
Object.defineProperty(exports, "urlSafeEncode", { enumerable: true, get: function () { return utils_1.urlSafeEncode; } });
Object.defineProperty(exports, "deDupeAsyncFunction", { enumerable: true, get: function () { return utils_1.deDupeAsyncFunction; } });
var parseAWSExports_1 = require("./parseAWSExports");
Object.defineProperty(exports, "parseAWSExports", { enumerable: true, get: function () { return parseAWSExports_1.parseAWSExports; } });
var parseAmplifyOutputs_1 = require("./parseAmplifyOutputs");
Object.defineProperty(exports, "isAmplifyOutputs", { enumerable: true, get: function () { return parseAmplifyOutputs_1.isAmplifyOutputs; } });
Object.defineProperty(exports, "parseAmplifyOutputs", { enumerable: true, get: function () { return parseAmplifyOutputs_1.parseAmplifyOutputs; } });
var constants_1 = require("./singleton/constants");
Object.defineProperty(exports, "ADD_OAUTH_LISTENER", { enumerable: true, get: function () { return constants_1.ADD_OAUTH_LISTENER; } });
var amplifyUuid_1 = require("./utils/amplifyUuid");
Object.defineProperty(exports, "amplifyUuid", { enumerable: true, get: function () { return amplifyUuid_1.amplifyUuid; } });
var amplifyUrl_1 = require("./utils/amplifyUrl");
Object.defineProperty(exports, "AmplifyUrl", { enumerable: true, get: function () { return amplifyUrl_1.AmplifyUrl; } });
Object.defineProperty(exports, "AmplifyUrlSearchParams", { enumerable: true, get: function () { return amplifyUrl_1.AmplifyUrlSearchParams; } });
var parseAmplifyConfig_1 = require("./utils/parseAmplifyConfig");
Object.defineProperty(exports, "parseAmplifyConfig", { enumerable: true, get: function () { return parseAmplifyConfig_1.parseAmplifyConfig; } });
var utils_2 = require("./utils");
Object.defineProperty(exports, "getClientInfo", { enumerable: true, get: function () { return utils_2.getClientInfo; } });
var deviceName_1 = require("./utils/deviceName");
Object.defineProperty(exports, "getDeviceName", { enumerable: true, get: function () { return deviceName_1.getDeviceName; } });
// Auth utilities
var utils_3 = require("./singleton/Auth/utils");
Object.defineProperty(exports, "decodeJWT", { enumerable: true, get: function () { return utils_3.decodeJWT; } });
Object.defineProperty(exports, "assertTokenProviderConfig", { enumerable: true, get: function () { return utils_3.assertTokenProviderConfig; } });
Object.defineProperty(exports, "assertIdentityPoolIdConfig", { enumerable: true, get: function () { return utils_3.assertIdentityPoolIdConfig; } });
Object.defineProperty(exports, "assertOAuthConfig", { enumerable: true, get: function () { return utils_3.assertOAuthConfig; } });
var Signer_1 = require("./Signer");
Object.defineProperty(exports, "Signer", { enumerable: true, get: function () { return Signer_1.Signer; } });
var haveCredentialsChanged_1 = require("./utils/haveCredentialsChanged");
Object.defineProperty(exports, "haveCredentialsChanged", { enumerable: true, get: function () { return haveCredentialsChanged_1.haveCredentialsChanged; } });
// Platform & user-agent utilities
var Platform_1 = require("./Platform");
Object.defineProperty(exports, "Platform", { enumerable: true, get: function () { return Platform_1.Platform; } });
Object.defineProperty(exports, "getAmplifyUserAgentObject", { enumerable: true, get: function () { return Platform_1.getAmplifyUserAgentObject; } });
Object.defineProperty(exports, "getAmplifyUserAgent", { enumerable: true, get: function () { return Platform_1.getAmplifyUserAgent; } });
var types_1 = require("./Platform/types");
Object.defineProperty(exports, "AiAction", { enumerable: true, get: function () { return types_1.AiAction; } });
Object.defineProperty(exports, "ApiAction", { enumerable: true, get: function () { return types_1.ApiAction; } });
Object.defineProperty(exports, "AuthAction", { enumerable: true, get: function () { return types_1.AuthAction; } });
Object.defineProperty(exports, "AnalyticsAction", { enumerable: true, get: function () { return types_1.AnalyticsAction; } });
Object.defineProperty(exports, "Category", { enumerable: true, get: function () { return types_1.Category; } });
Object.defineProperty(exports, "DataStoreAction", { enumerable: true, get: function () { return types_1.DataStoreAction; } });
Object.defineProperty(exports, "Framework", { enumerable: true, get: function () { return types_1.Framework; } });
Object.defineProperty(exports, "GeoAction", { enumerable: true, get: function () { return types_1.GeoAction; } });
Object.defineProperty(exports, "InteractionsAction", { enumerable: true, get: function () { return types_1.InteractionsAction; } });
Object.defineProperty(exports, "InAppMessagingAction", { enumerable: true, get: function () { return types_1.InAppMessagingAction; } });
Object.defineProperty(exports, "PredictionsAction", { enumerable: true, get: function () { return types_1.PredictionsAction; } });
Object.defineProperty(exports, "PubSubAction", { enumerable: true, get: function () { return types_1.PubSubAction; } });
Object.defineProperty(exports, "PushNotificationAction", { enumerable: true, get: function () { return types_1.PushNotificationAction; } });
Object.defineProperty(exports, "StorageAction", { enumerable: true, get: function () { return types_1.StorageAction; } });
var customUserAgent_1 = require("./Platform/customUserAgent");
Object.defineProperty(exports, "setCustomUserAgent", { enumerable: true, get: function () { return customUserAgent_1.setCustomUserAgent; } });
// Error handling
var errors_1 = require("./errors");
Object.defineProperty(exports, "AmplifyError", { enumerable: true, get: function () { return errors_1.AmplifyError; } });
Object.defineProperty(exports, "PlatformNotSupportedError", { enumerable: true, get: function () { return errors_1.PlatformNotSupportedError; } });
Object.defineProperty(exports, "createAssertionFunction", { enumerable: true, get: function () { return errors_1.createAssertionFunction; } });
Object.defineProperty(exports, "ApiError", { enumerable: true, get: function () { return errors_1.ApiError; } });
var types_2 = require("./types");
Object.defineProperty(exports, "AmplifyErrorCode", { enumerable: true, get: function () { return types_2.AmplifyErrorCode; } });
// Other utilities & constants
var BackgroundProcessManager_1 = require("./BackgroundProcessManager");
Object.defineProperty(exports, "BackgroundProcessManager", { enumerable: true, get: function () { return BackgroundProcessManager_1.BackgroundProcessManager; } });
var Mutex_1 = require("./Mutex");
Object.defineProperty(exports, "Mutex", { enumerable: true, get: function () { return Mutex_1.Mutex; } });
var Reachability_1 = require("./Reachability");
Object.defineProperty(exports, "Reachability", { enumerable: true, get: function () { return Reachability_1.Reachability; } });
var constants_2 = require("./constants");
Object.defineProperty(exports, "USER_AGENT_HEADER", { enumerable: true, get: function () { return constants_2.USER_AGENT_HEADER; } });
var fetchAuthSession_1 = require("./singleton/apis/internal/fetchAuthSession");
Object.defineProperty(exports, "fetchAuthSession", { enumerable: true, get: function () { return fetchAuthSession_1.fetchAuthSession; } });
var Hub_1 = require("./Hub");
Object.defineProperty(exports, "AMPLIFY_SYMBOL", { enumerable: true, get: function () { return Hub_1.AMPLIFY_SYMBOL; } });
var convert_1 = require("./utils/convert");
Object.defineProperty(exports, "base64Decoder", { enumerable: true, get: function () { return convert_1.base64Decoder; } });
Object.defineProperty(exports, "base64Encoder", { enumerable: true, get: function () { return convert_1.base64Encoder; } });
var globalHelpers_1 = require("./utils/globalHelpers");
Object.defineProperty(exports, "getCrypto", { enumerable: true, get: function () { return globalHelpers_1.getCrypto; } });
var cryptoSecureRandomInt_1 = require("./utils/cryptoSecureRandomInt");
Object.defineProperty(exports, "cryptoSecureRandomInt", { enumerable: true, get: function () { return cryptoSecureRandomInt_1.cryptoSecureRandomInt; } });
var WordArray_1 = require("./utils/WordArray");
Object.defineProperty(exports, "WordArray", { enumerable: true, get: function () { return WordArray_1.WordArray; } });
// Hub
var Hub_2 = require("./Hub");
Object.defineProperty(exports, "HubInternal", { enumerable: true, get: function () { return Hub_2.HubInternal; } });
// Session listener
var sessionListener_1 = require("./utils/sessionListener");
Object.defineProperty(exports, "sessionListener", { enumerable: true, get: function () { return sessionListener_1.sessionListener; } });
var sessionListener_2 = require("./utils/sessionListener");
Object.defineProperty(exports, "SESSION_START_EVENT", { enumerable: true, get: function () { return sessionListener_2.SESSION_START_EVENT; } });
Object.defineProperty(exports, "SESSION_STOP_EVENT", { enumerable: true, get: function () { return sessionListener_2.SESSION_STOP_EVENT; } });
//# sourceMappingURL=libraryUtils.js.map
