/**
 * Taken from @aws-sdk/client-cloudwatch-logs@3.6.1
 */
export interface InputLogEvent {
    timestamp: number | undefined;
    message: string | undefined;
}
export interface LoggingProvider {
    getProviderName(): string;
    getCategoryName(): string;
    configure(config?: object): object;
    pushLogs(logs: InputLogEvent[]): void;
}
export interface Logger {
    debug(msg: string): void;
    info(msg: string): void;
    warn(msg: string): void;
    error(msg: string): void;
    addPluggable(pluggable: LoggingProvider): void;
}
export declare enum LogType {
    DEBUG = "DEBUG",
    ERROR = "ERROR",
    INFO = "INFO",
    WARN = "WARN",
    VERBOSE = "VERBOSE",
    NONE = "NONE"
}
