import { LibraryOptions, ResourcesConfig } from '../../singleton/types';
import { AmplifyServer } from './types';
/**
 * Creates an Amplify server context.
 * @param amplifyConfig The Amplify resource config.
 * @param libraryOptions The Amplify library options.
 * @returns The Amplify server context spec.
 */
export declare const createAmplifyServerContext: (amplifyConfig: ResourcesConfig, libraryOptions: LibraryOptions) => AmplifyServer.ContextSpec;
/**
 * Returns an Amplify server context.
 * @param contextSpec The context spec used to get the Amplify server context.
 * @returns The Amplify server context.
 */
export declare const getAmplifyServerContext: (contextSpec: AmplifyServer.ContextSpec) => AmplifyServer.Context;
/**
 * Destroys an Amplify server context.
 * @param contextSpec The context spec used to destroy the Amplify server context.
 */
export declare const destroyAmplifyServerContext: (contextSpec: AmplifyServer.ContextSpec) => void;
